-- MixScript ABS pro auto
-- plynem se meni vyska pulzu
--
local input = {
    {"Thr src", SOURCE}, -- plyn/brzda
    {"Break", VALUE, 1, 5, 1},
    {"Release", VALUE, 1, 5, 1}
}

local output = {"Brk"}

local treshold = 40
local cnt = 0
local brk = 1
local brkMax = 0.80 * -1024 -- od 80% minus plynu plna brzda

local function init_func()
end

local function run_func(thr, b, r)
    retval = 0

    if (thr < -treshold) then
        if (thr < brkMax) then
            retval = thr
        else
            if (brk == 1) then
                -- faze brzdy
                retval = thr
                if (cnt <= 0) then
                    cnt = r
                    brk = 0
                end
            else
                -- faze uvolneni
                retval = 0
                if (cnt <= 0) then
                    cnt = b
                    brk = 1
                end
            end
        end

        cnt = cnt - 1
    else
        -- init nebrzdim, priprava na brzdeni
        retval = 0
        cnt = b
        brk = 1
    end

    return retval
end

return {input = input, output = output, run = run_func, init = init_func}
